Get a procedure by ID
get
/Procedure/{id}
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves an individual procedure by the associated ID.
Request
Path Parameters
-
id(required): string
The logical resource ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful retrieve response.
Root Schema : Procedure
Type:
objectThe US Core Procedure returned by read and search operations.
Show Source
-
_performedDateTime: object
PrimitiveElementForProcedure
-
basedOn: array
basedOn
-
category: object
CodeableConceptForProcedure
-
code(required): object
CodeableConceptForProcedure
-
encounter: object
ReferenceForProcedure
-
extension: array
extension
-
id(required): string
-
location: object
ReferenceForProcedure
-
meta: object
meta
-
note: array
note
-
performedDateTime: string
(date-time)
-
performedPeriod: object
Period
-
performer: array
performer
-
reasonReference: array
reasonReference
-
recorder: object
ReferenceForProcedure
-
resourceType(required): string
Allowed Values:
[ "Procedure" ] -
status(required): string
Allowed Values:
[ "completed", "entered-in-error" ] -
subject(required): object
ReferenceForProcedure
-
text: object
Narrative
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source